# eric7.Plugins.VcsPlugins.vcsMercurial.HgStatusDialog

Module implementing a dialog to show the output of the hg status command process.

### Global Attributes

None

### Classes

HgStatusDialog | Class implementing a dialog to show the output of the hg status command process.

### Functions

None

## HgStatusDialog

Class implementing a dialog to show the output of the hg status command process.

### Derived from

QWidget, Ui_HgStatusDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgStatusDialog | Constructor
__abortMerge | Private slot used to abort an uncommitted merge.
__add | Private slot to handle the Add context menu entry.
__commit | Private slot to handle the Commit context menu entry.
__commitDeselectAll | Private slot to deselect all entries from commit.
__commitMerge | Private slot to handle the Commit Merge context menu entry.
__commitSelect | Private slot to select or deselect all entries.
__commitSelectAll | Private slot to select all entries for commit.
__committed | Private slot called after the commit has finished.
__diff | Private slot to handle the Diff context menu entry.
__finish | Private slot called when the process finished or the user pressed the button.
__forget | Private slot to handle the Forget Missing context menu entry.
__generateDiffs | Private slot to generate diff outputs for the selected item.
__generateItem | Private method to generate a status item in the status list.
__generatorFinished | Private slot connected to the finished signal of the diff generator.
__getCommitableItems | Private method to retrieve all entries the user wants to commit.
__getCommitableUnselectedItems | Private method to retrieve all entries the user may commit but hasn't selected.
__getMissingItems | Private method to retrieve all entries, that have a missing status.
__getModifiedItems | Private method to retrieve all entries, that have a modified status.
__getUnversionedItems | Private method to retrieve all entries, that have an unversioned status.
__initActionsMenu | Private method to initialize the actions menu.
__lfAdd | Private slot to add a file to the repository.
__processOutputLine | Private method to process the lines of output.
__refreshDiff | Private method to refresh the diff output after a refresh.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
__restoreMissing | Private slot to handle the Restore Missing context menu entry.
__revert | Private slot to handle the Revert context menu entry.
__sbsDiff | Private slot to handle the Side-By-Side Diff context menu entry.
__showActionsMenu | Private slot to prepare the actions button menu before it is shown.
__showError | Private slot to show some error.
closeEvent | Protected slot implementing a close event handler.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_refreshButton_clicked | Private slot to refresh the status display.
on_statusFilterCombo_activated | Private slot to react to the selection of a status filter.
on_statusList_itemSelectionChanged | Private slot to act upon changes of selected items.
show | Public slot to show the dialog.
start | Public slot to start the hg status command.

### Static Methods

None

#### HgStatusDialog (Constructor)

HgStatusDialog(vcs, mq=False, parent=None)

Constructor

vcs
  reference to the vcs object
mq
  flag indicating to show a queue repo status (boolean)
parent
  parent widget (QWidget)

#### HgStatusDialog.__abortMerge

__abortMerge()

Private slot used to abort an uncommitted merge.

#### HgStatusDialog.__add

__add()

Private slot to handle the Add context menu entry.

#### HgStatusDialog.__commit

__commit()

Private slot to handle the Commit context menu entry.

#### HgStatusDialog.__commitDeselectAll

__commitDeselectAll()

Private slot to deselect all entries from commit.

#### HgStatusDialog.__commitMerge

__commitMerge()

Private slot to handle the Commit Merge context menu entry.

#### HgStatusDialog.__commitSelect

__commitSelect(selected)

Private slot to select or deselect all entries.

selected
  commit selection state to be set (boolean)

#### HgStatusDialog.__commitSelectAll

__commitSelectAll()

Private slot to select all entries for commit.

#### HgStatusDialog.__committed

__committed()

Private slot called after the commit has finished.

#### HgStatusDialog.__diff

__diff()

Private slot to handle the Diff context menu entry.

#### HgStatusDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### HgStatusDialog.__forget

__forget()

Private slot to handle the Forget Missing context menu entry.

#### HgStatusDialog.__generateDiffs

__generateDiffs()

Private slot to generate diff outputs for the selected item.

#### HgStatusDialog.__generateItem

__generateItem(status, path)

Private method to generate a status item in the status list.

status
  status indicator (string)
path
  path of the file or directory (string)

#### HgStatusDialog.__generatorFinished

__generatorFinished()

Private slot connected to the finished signal of the diff generator.

#### HgStatusDialog.__getCommitableItems

__getCommitableItems()

Private method to retrieve all entries the user wants to commit.

Return:
  list of all items, the user has checked

#### HgStatusDialog.__getCommitableUnselectedItems

__getCommitableUnselectedItems()

Private method to retrieve all entries the user may commit but hasn't selected.

Return:
  list of all items, the user has checked

#### HgStatusDialog.__getMissingItems

__getMissingItems()

Private method to retrieve all entries, that have a missing status.

Return:
  list of all items with a missing status

#### HgStatusDialog.__getModifiedItems

__getModifiedItems()

Private method to retrieve all entries, that have a modified status.

Return:
  list of all items with a modified status

#### HgStatusDialog.__getUnversionedItems

__getUnversionedItems()

Private method to retrieve all entries, that have an unversioned status.

Return:
  list of all items with an unversioned status

#### HgStatusDialog.__initActionsMenu

__initActionsMenu()

Private method to initialize the actions menu.

#### HgStatusDialog.__lfAdd

__lfAdd(mode)

Private slot to add a file to the repository.

mode
  add mode (string one of 'normal' or 'large')

#### HgStatusDialog.__processOutputLine

__processOutputLine(line)

Private method to process the lines of output.

line
  output line to be processed (string)

#### HgStatusDialog.__refreshDiff

__refreshDiff()

Private method to refresh the diff output after a refresh.

#### HgStatusDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### HgStatusDialog.__resort

__resort()

Private method to resort the tree.

#### HgStatusDialog.__restoreMissing

__restoreMissing()

Private slot to handle the Restore Missing context menu entry.

#### HgStatusDialog.__revert

__revert()

Private slot to handle the Revert context menu entry.

#### HgStatusDialog.__sbsDiff

__sbsDiff()

Private slot to handle the Side-By-Side Diff context menu entry.

#### HgStatusDialog.__showActionsMenu

__showActionsMenu()

Private slot to prepare the actions button menu before it is shown.

#### HgStatusDialog.__showError

__showError(out)

Private slot to show some error.

out
  error to be shown (string)

#### HgStatusDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### HgStatusDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### HgStatusDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### HgStatusDialog.on_statusFilterCombo_activated

on_statusFilterCombo_activated(index)

Private slot to react to the selection of a status filter.

index (int)
  index of the selected entry

#### HgStatusDialog.on_statusList_itemSelectionChanged

on_statusList_itemSelectionChanged()

Private slot to act upon changes of selected items.

#### HgStatusDialog.show

show()

Public slot to show the dialog.

#### HgStatusDialog.start

start(fn)

Public slot to start the hg status command.

fn
  filename(s)/directoryname(s) to show the status of (string or list of strings)

Up